
From: Nigel Cunningham <ncunningham@cyclades.com>

Tvaudio lacks a refrigerator call. This patch fixes that.

Signed-off-by: Nigel Cunningham <ncunningham@suspend2.net>
Cc: <video4linux-list@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/tvaudio.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/media/video/tvaudio.c~add-missing-tvaudio-try_to_freeze drivers/media/video/tvaudio.c
--- devel/drivers/media/video/tvaudio.c~add-missing-tvaudio-try_to_freeze	2005-07-25 20:29:30.000000000 -0700
+++ devel-akpm/drivers/media/video/tvaudio.c	2005-07-25 20:29:30.000000000 -0700
@@ -285,6 +285,7 @@ static int chip_thread(void *data)
 			schedule();
 		}
 		remove_wait_queue(&chip->wq, &wait);
+		try_to_freeze();
 		if (chip->done || signal_pending(current))
 			break;
 		dprintk("%s: thread wakeup\n", i2c_clientname(&chip->c));
_
